CentOS7.4安装jdk1.8时出现错误:file /usr/java/jdk1.8.0_152/bin/java from install of jdkXXX conflicts

版权声明:本文为博主原创文章,遵循 CC 4.0 by-sa 版权协议,转载请附上原文出处链接和本声明。
本文链接:https://blog.csdn.net/qq_32786873/article/details/78788460

最近在CentOS7.4上使用rpm包安装jdk的时候,出现了这个问题:

file /usr/java/jdk1.8.0_152/bin/java from install of jdk1.8-2000:1.8.0_152-fcs.x86_64 conflicts with file from package jdk1.8-2000:1.8.0_152-fcs.i586

之前从oracle官网上下载了一个32位的rpm包,安装失败之后,各种找解决方法,后来找到一个解决方法(参考:http://blog.csdn.net/qq_32786873/article/details/78752443),现在我又重新下载了一个64位的rpm包,由于之前安装的32位包未卸载,所以安装64位的时候冲突了,只要把32位卸载了就好。

解决办法:

查询之前安装的jdk名称:rpm -qa | grep jdk

卸载32位的jdk:rpm -e jdk1.8-1.8.0_152-fcs.i586


这说明这个软件被其他软件需要,不能随便卸载,可以用rpm -e --nodeps强制卸载

至此,说明卸载完成了。

安装64位的jdk:rpm -ivh jdk-8u152-linux-x64.rpm


安装完成


参考:http://blog.csdn.net/hfut_wowo/article/details/54962328

展开阅读全文

安装npm install出现错误

08-23

我是在win8上面操作,需要在github上面克隆一个项目在本地编辑nn在nodejs官网上面下载了一个安装包,安装后进行了如下操作nn1:新建了一个文件夹,用virtualenv做成虚拟环境nn2:将github上面的项目clone到该文件夹nn3:将该文件夹进入venv虚拟环境nn4:安装Python的依赖包flask之类的nn5:进入项目的static文件夹,(这里面有package.json文件,dependencies里有一项是"sass-loader": "^2.0.0",)nn输入了如下命令:npm installnn错误如下:nnn```n Building: C:\Program Files\nodejs\node.exe node_modules\pangyp\bin\node-gyp rebuild --libsass_ext= --libsass_cflags= --libsanss_ldflags= --libsass_library=ngyp WARN install got an error, rolling back installngyp ERR! configure errorngyp ERR! stack Error: node-v0.12.7.tar.gz local checksum 88bc1dbe3f1da75a4b5eabea55ab1f40a99373b8ae7356d2374e8053ced04ec0 non42e53067127a5061415be7e12f39dngyp ERR! stack at deref (E:\project1_2\shijuan\node_modules\node-sass\node_modules\pangyp\lib\install.js:304:20)ngyp ERR! stack at Request. (E:\project1_2\shijuan\node_modules\node-sass\node_modules\pangyp\lib\install.js:3ngyp ERR! stack at Request.emit (events.js:129:20)ngyp ERR! stack at IncomingMessage. (E:\project1_2\shijuan\node_modules\node-sass\node_modules\pangyp\node_modngyp ERR! stack at IncomingMessage.emit (events.js:129:20)ngyp ERR! stack at _stream_readable.js:908:16ngyp ERR! stack at process._tickCallback (node.js:355:11)ngyp ERR! System Windows_NT 6.3.9600ngyp ERR! command "C:\\Program Files\\nodejs\\node.exe" "E:\\project1_2\\shijuan\\node_modules\\node-sass\\node_modules\\pangnibsass_cflags=" "--libsass_ldflags=" "--libsass_library="ngyp ERR! cwd E:\project1_2\shijuan\node_modules\node-sassngyp ERR! node -v v0.12.7ngyp ERR! pangyp -v v2.3.0ngyp ERR! not oknBuild failedn```n不知道是哪个地方的原因,希望各位老师不吝赐教,谢谢n 问答

没有更多推荐了,返回首页